//*********************** Main Interface Form ************************
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace DB_Requester
{
  /// <summary>
  /// Summary description for Form1.
  /// </summary>
  public class MainForm : System.Windows.Forms.Form
  {
    //         :
    public DBRequest UserReq; 
    // -  :
    private DataTable RequestTab;
    //     :
    private DataTable StructTab;
    //  ,     StructTab_OnRowChanged
    private string LastTabName;
    private System.Windows.Forms.DataGrid datGridDBTables;
    private System.Windows.Forms.Label labSQLReq;
    private System.Windows.Forms.TextBox tbRequest;
    private System.Windows.Forms.DataGrid datGridSQLResult;
    private System.Windows.Forms.Button btnConnect;
    private System.Windows.Forms.Button btnRequest;
    private System.Windows.Forms.TextBox tbInitCat;
    private System.Windows.Forms.Label labInitCat;
    private System.Windows.Forms.Label labDatSource;
    private System.Windows.Forms.TextBox tbDatSource;
    private System.Windows.Forms.DataGridTableStyle TabStyle;
    private System.Windows.Forms.DataGridTextBoxColumn ColTables;
    private System.Windows.Forms.DataGridTextBoxColumn ColFields;
    private System.Windows.Forms.ImageList imageListDB;
    private System.ComponentModel.IContainer components;

    public MainForm()
    {
      //
      // Required for Windows Form Designer support
      //
      InitializeComponent();

      //
      // TODO: Add any constructor code after InitializeComponent call
      //
    }

    /// <summary>
    /// Clean up any resources being used.
    /// </summary>
    protected override void Dispose( bool disposing )
    {
      if( disposing )
      {
        if (components != null) 
        {
          components.Dispose();
        }
      }
      base.Dispose( disposing );
    }

    #region Windows Form Designer generated code
    /// <summary>
    /// Required method for Designer support - do not modify
    /// the contents of this method with the code editor.
    /// </summary>
    private void InitializeComponent()
    {
      this.components = new System.ComponentModel.Container();
      System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(MainForm));
      this.datGridDBTables = new System.Windows.Forms.DataGrid();
      this.TabStyle = new System.Windows.Forms.DataGridTableStyle();
      this.ColTables = new System.Windows.Forms.DataGridTextBoxColumn();
      this.ColFields = new System.Windows.Forms.DataGridTextBoxColumn();
      this.tbInitCat = new System.Windows.Forms.TextBox();
      this.labInitCat = new System.Windows.Forms.Label();
      this.labSQLReq = new System.Windows.Forms.Label();
      this.tbRequest = new System.Windows.Forms.TextBox();
      this.datGridSQLResult = new System.Windows.Forms.DataGrid();
      this.btnConnect = new System.Windows.Forms.Button();
      this.btnRequest = new System.Windows.Forms.Button();
      this.labDatSource = new System.Windows.Forms.Label();
      this.tbDatSource = new System.Windows.Forms.TextBox();
      this.imageListDB = new System.Windows.Forms.ImageList(this.components);
      ((System.ComponentModel.ISupportInitialize)(this.datGridDBTables)).BeginInit();
      ((System.ComponentModel.ISupportInitialize)(this.datGridSQLResult)).BeginInit();
      this.SuspendLayout();
      // 
      // datGridDBTables
      // 
      this.datGridDBTables.AlternatingBackColor = System.Drawing.Color.Lavender;
      this.datGridDBTables.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
        | System.Windows.Forms.AnchorStyles.Right)));
      this.datGridDBTables.BackColor = System.Drawing.Color.WhiteSmoke;
      this.datGridDBTables.BackgroundColor = System.Drawing.Color.LightGray;
      this.datGridDBTables.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
      this.datGridDBTables.CaptionBackColor = System.Drawing.Color.LightSteelBlue;
      this.datGridDBTables.CaptionFont = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Bold);
      this.datGridDBTables.CaptionForeColor = System.Drawing.Color.MidnightBlue;
      this.datGridDBTables.CaptionText = "Tables and Fields:";
      this.datGridDBTables.DataMember = "";
      this.datGridDBTables.Enabled = false;
      this.datGridDBTables.FlatMode = true;
      this.datGridDBTables.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F);
      this.datGridDBTables.ForeColor = System.Drawing.Color.MidnightBlue;
      this.datGridDBTables.GridLineColor = System.Drawing.Color.Gainsboro;
      this.datGridDBTables.GridLineStyle = System.Windows.Forms.DataGridLineStyle.None;
      this.datGridDBTables.HeaderBackColor = System.Drawing.Color.MidnightBlue;
      this.datGridDBTables.HeaderFont = new System.Drawing.Font("Microsoft Sans Serif", 8F);
      this.datGridDBTables.HeaderForeColor = System.Drawing.Color.WhiteSmoke;
      this.datGridDBTables.LinkColor = System.Drawing.Color.Teal;
      this.datGridDBTables.Location = new System.Drawing.Point(8, 56);
      this.datGridDBTables.Name = "datGridDBTables";
      this.datGridDBTables.ParentRowsBackColor = System.Drawing.Color.Gainsboro;
      this.datGridDBTables.ParentRowsForeColor = System.Drawing.Color.MidnightBlue;
      this.datGridDBTables.ReadOnly = true;
      this.datGridDBTables.SelectionBackColor = System.Drawing.Color.CadetBlue;
      this.datGridDBTables.SelectionForeColor = System.Drawing.Color.WhiteSmoke;
      this.datGridDBTables.Size = new System.Drawing.Size(536, 120);
      this.datGridDBTables.TabIndex = 0;
      this.datGridDBTables.TableStyles.AddRange(new System.Windows.Forms.DataGridTableStyle[] {
                                                                                                this.TabStyle});
      this.datGridDBTables.Resize += new System.EventHandler(this.datGridDBTables_Resize);
      this.datGridDBTables.MouseUp += new System.Windows.Forms.MouseEventHandler(this.datGridDBTables_MouseUp);
      // 
      // TabStyle
      // 
      this.TabStyle.AlternatingBackColor = System.Drawing.Color.Lavender;
      this.TabStyle.BackColor = System.Drawing.Color.WhiteSmoke;
      this.TabStyle.DataGrid = this.datGridDBTables;
      this.TabStyle.ForeColor = System.Drawing.Color.MidnightBlue;
      this.TabStyle.GridColumnStyles.AddRange(new System.Windows.Forms.DataGridColumnStyle[] {
                                                                                               this.ColTables,
                                                                                               this.ColFields});
      this.TabStyle.GridLineColor = System.Drawing.Color.Gainsboro;
      this.TabStyle.HeaderBackColor = System.Drawing.Color.MidnightBlue;
      this.TabStyle.HeaderForeColor = System.Drawing.Color.WhiteSmoke;
      this.TabStyle.LinkColor = System.Drawing.Color.Teal;
      this.TabStyle.MappingName = "TabFields";
      this.TabStyle.SelectionBackColor = System.Drawing.Color.CadetBlue;
      this.TabStyle.SelectionForeColor = System.Drawing.Color.WhiteSmoke;
      // 
      // ColTables
      // 
      this.ColTables.Format = "";
      this.ColTables.FormatInfo = null;
      this.ColTables.HeaderText = "Table Name";
      this.ColTables.MappingName = "Tables";
      this.ColTables.Width = 80;
      // 
      // ColFields
      // 
      this.ColFields.Format = "";
      this.ColFields.FormatInfo = null;
      this.ColFields.HeaderText = "Field Names in Table";
      this.ColFields.MappingName = "Fields";
      this.ColFields.ReadOnly = true;
      this.ColFields.Width = 280;
      // 
      // tbInitCat
      // 
      this.tbInitCat.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
        | System.Windows.Forms.AnchorStyles.Right)));
      this.tbInitCat.BackColor = System.Drawing.SystemColors.Info;
      this.tbInitCat.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
      this.tbInitCat.ForeColor = System.Drawing.Color.Green;
      this.tbInitCat.Location = new System.Drawing.Point(112, 30);
      this.tbInitCat.Name = "tbInitCat";
      this.tbInitCat.Size = new System.Drawing.Size(312, 21);
      this.tbInitCat.TabIndex = 2;
      this.tbInitCat.Text = "CompShop";
      // 
      // labInitCat
      // 
      this.labInitCat.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
      this.labInitCat.Location = new System.Drawing.Point(9, 30);
      this.labInitCat.Name = "labInitCat";
      this.labInitCat.Size = new System.Drawing.Size(96, 16);
      this.labInitCat.TabIndex = 3;
      this.labInitCat.Text = "Initial Catalog:";
      // 
      // labSQLReq
      // 
      this.labSQLReq.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
      this.labSQLReq.Location = new System.Drawing.Point(12, 185);
      this.labSQLReq.Name = "labSQLReq";
      this.labSQLReq.Size = new System.Drawing.Size(96, 16);
      this.labSQLReq.TabIndex = 5;
      this.labSQLReq.Text = "SQL Request:";
      // 
      // tbRequest
      // 
      this.tbRequest.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
        | System.Windows.Forms.AnchorStyles.Right)));
      this.tbRequest.BackColor = System.Drawing.SystemColors.Info;
      this.tbRequest.Enabled = false;
      this.tbRequest.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
      this.tbRequest.ForeColor = System.Drawing.Color.Blue;
      this.tbRequest.Location = new System.Drawing.Point(112, 182);
      this.tbRequest.Name = "tbRequest";
      this.tbRequest.Size = new System.Drawing.Size(312, 21);
      this.tbRequest.TabIndex = 4;
      this.tbRequest.Text = "SELECT * FROM Table";
      // 
      // datGridSQLResult
      // 
      this.datGridSQLResult.AlternatingBackColor = System.Drawing.Color.Lavender;
      this.datGridSQLResult.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
        | System.Windows.Forms.AnchorStyles.Left) 
        | System.Windows.Forms.AnchorStyles.Right)));
      this.datGridSQLResult.BackColor = System.Drawing.Color.WhiteSmoke;
      this.datGridSQLResult.BackgroundColor = System.Drawing.Color.LightGray;
      this.datGridSQLResult.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
      this.datGridSQLResult.CaptionBackColor = System.Drawing.Color.LightSteelBlue;
      this.datGridSQLResult.CaptionFont = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Bold);
      this.datGridSQLResult.CaptionForeColor = System.Drawing.Color.MidnightBlue;
      this.datGridSQLResult.CaptionText = "SQL Request Result-Table:";
      this.datGridSQLResult.DataMember = "";
      this.datGridSQLResult.Enabled = false;
      this.datGridSQLResult.FlatMode = true;
      this.datGridSQLResult.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F);
      this.datGridSQLResult.ForeColor = System.Drawing.Color.MidnightBlue;
      this.datGridSQLResult.GridLineColor = System.Drawing.Color.Gainsboro;
      this.datGridSQLResult.GridLineStyle = System.Windows.Forms.DataGridLineStyle.None;
      this.datGridSQLResult.HeaderBackColor = System.Drawing.Color.MidnightBlue;
      this.datGridSQLResult.HeaderFont = new System.Drawing.Font("Microsoft Sans Serif", 8F);
      this.datGridSQLResult.HeaderForeColor = System.Drawing.Color.WhiteSmoke;
      this.datGridSQLResult.LinkColor = System.Drawing.Color.Teal;
      this.datGridSQLResult.Location = new System.Drawing.Point(8, 208);
      this.datGridSQLResult.Name = "datGridSQLResult";
      this.datGridSQLResult.ParentRowsBackColor = System.Drawing.Color.Gainsboro;
      this.datGridSQLResult.ParentRowsForeColor = System.Drawing.Color.MidnightBlue;
      this.datGridSQLResult.ReadOnly = true;
      this.datGridSQLResult.SelectionBackColor = System.Drawing.Color.CadetBlue;
      this.datGridSQLResult.SelectionForeColor = System.Drawing.Color.WhiteSmoke;
      this.datGridSQLResult.Size = new System.Drawing.Size(536, 192);
      this.datGridSQLResult.TabIndex = 6;
      // 
      // btnConnect
      // 
      this.btnConnect.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
      this.btnConnect.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
      this.btnConnect.Location = new System.Drawing.Point(432, 30);
      this.btnConnect.Name = "btnConnect";
      this.btnConnect.Size = new System.Drawing.Size(112, 23);
      this.btnConnect.TabIndex = 7;
      this.btnConnect.Text = "Connect to DB";
      this.btnConnect.Click += new System.EventHandler(this.btnConnect_Click);
      // 
      // btnRequest
      // 
      this.btnRequest.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
      this.btnRequest.Enabled = false;
      this.btnRequest.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
      this.btnRequest.Location = new System.Drawing.Point(432, 181);
      this.btnRequest.Name = "btnRequest";
      this.btnRequest.Size = new System.Drawing.Size(112, 23);
      this.btnRequest.TabIndex = 8;
      this.btnRequest.Text = "Send Request";
      this.btnRequest.Click += new System.EventHandler(this.btnRequest_Click);
      // 
      // labDatSource
      // 
      this.labDatSource.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
      this.labDatSource.Location = new System.Drawing.Point(18, 7);
      this.labDatSource.Name = "labDatSource";
      this.labDatSource.Size = new System.Drawing.Size(88, 16);
      this.labDatSource.TabIndex = 10;
      this.labDatSource.Text = "Data Source:";
      // 
      // tbDatSource
      // 
      this.tbDatSource.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
        | System.Windows.Forms.AnchorStyles.Right)));
      this.tbDatSource.BackColor = System.Drawing.SystemColors.Info;
      this.tbDatSource.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
      this.tbDatSource.ForeColor = System.Drawing.Color.Green;
      this.tbDatSource.Location = new System.Drawing.Point(112, 6);
      this.tbDatSource.Name = "tbDatSource";
      this.tbDatSource.Size = new System.Drawing.Size(432, 21);
      this.tbDatSource.TabIndex = 9;
      this.tbDatSource.Text = "localhost\\VSdotNET";
      // 
      // imageListDB
      // 
      this.imageListDB.ColorDepth = System.Windows.Forms.ColorDepth.Depth16Bit;
      this.imageListDB.ImageSize = new System.Drawing.Size(115, 115);
      this.imageListDB.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageListDB.ImageStream")));
      this.imageListDB.TransparentColor = System.Drawing.Color.Transparent;
      // 
      // MainForm
      // 
      this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
      this.ClientSize = new System.Drawing.Size(552, 405);
      this.Controls.Add(this.labDatSource);
      this.Controls.Add(this.tbDatSource);
      this.Controls.Add(this.tbRequest);
      this.Controls.Add(this.tbInitCat);
      this.Controls.Add(this.btnRequest);
      this.Controls.Add(this.btnConnect);
      this.Controls.Add(this.datGridSQLResult);
      this.Controls.Add(this.labSQLReq);
      this.Controls.Add(this.labInitCat);
      this.Controls.Add(this.datGridDBTables);
      this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
      this.MinimumSize = new System.Drawing.Size(300, 350);
      this.Name = "MainForm";
      this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
      this.Text = "Data Base Requests";
      this.Closing += new System.ComponentModel.CancelEventHandler(this.MainForm_Closing);
      this.Load += new System.EventHandler(this.Form1_Load);
      ((System.ComponentModel.ISupportInitialize)(this.datGridDBTables)).EndInit();
      ((System.ComponentModel.ISupportInitialize)(this.datGridSQLResult)).EndInit();
      this.ResumeLayout(false);

    }
    #endregion

    /// <summary>
    /// The main entry point for the application.
    /// </summary>
    [STAThread]
    static void Main() 
    {
      Application.Run(new MainForm());
    }

    //***********************   ****************************
    private void Form1_Load(object sender, System.EventArgs e)
    {
      //      
      UserReq = new DBRequest();
      //       :
      StructTab = new DataTable( "TabFields" );
      DataColumn NewDatCol = new DataColumn( "Tables", Type.GetType("System.String") );
      NewDatCol.AllowDBNull = false;
      NewDatCol.Unique = true;
      StructTab.Columns.Add( NewDatCol );
      NewDatCol = new DataColumn( "Fields", Type.GetType("System.String") );
      NewDatCol.AllowDBNull = false;
      NewDatCol.DefaultValue = "none;";
      StructTab.Columns.Add( NewDatCol );
      datGridDBTables.DataSource = StructTab;
      datGridDBTables.ReadOnly = false;
      datGridSQLResult.DataSource = RequestTab;
      //       :
      StructTab.RowChanged += new DataRowChangeEventHandler( StructTab_OnRowChanged );
    }

    //************************   ***************************
    private void MainForm_Closing(object sender, System.ComponentModel.CancelEventArgs e)
    {
    }

    //****************      *****************
    private void StructTab_OnRowChanged( object sender, DataRowChangeEventArgs e )
    {
      try
      {
        if (LastTabName != (string) e.Row["Tables"])
        {
          LastTabName = (string) e.Row["Tables"];
          string Fields   = UserReq.GetTableFields( LastTabName );
          e.Row["Fields"] = Fields;
        }
      }
      catch(Exception ex)
      {
        MessageBox.Show( this, ex.Message, "Connection Error", MessageBoxButtons.OK, MessageBoxIcon.Error );
      }
    }

    //***************      *****************
    private void btnConnect_Click(object sender, System.EventArgs e)
    {
      bool Connected = false;
      Cursor = Cursors.WaitCursor;
      //    :
      try
      {
        UserReq.Disconnect();
        UserReq.ConnectTo( tbDatSource.Text, tbInitCat.Text );
        Connected = true;
      }
      catch( Exception e1 )
      {
        MessageBox.Show( this, e1.Message, "Connection Error", MessageBoxButtons.OK, MessageBoxIcon.Error );
        Connected = false;
      }
   
      if (Connected)
      {
        //      :
        tbRequest.Enabled        = true;
        btnRequest.Enabled       = true;
        datGridSQLResult.Enabled = true;
        datGridDBTables.Enabled  = true;
      }
      else
      {//      :
        tbRequest.Enabled        = false;
        btnRequest.Enabled       = false;
        datGridSQLResult.Enabled = false;
        datGridDBTables.Enabled  = false;
      }
      Cursor = Cursors.Arrow;
      try
      {
        StructTab.Clear();
        RequestTab.Clear();
      }
      catch
      {
      }
    }

    //***************   SQL- ******************
    private void btnRequest_Click(object sender, System.EventArgs e)
    {
      Cursor = Cursors.WaitCursor;
      try
      {
        RequestTab = UserReq.SQLRequest( tbRequest.Text );
        datGridSQLResult.DataSource = RequestTab;
      }
      catch( Exception ex )
      {
        MessageBox.Show( this, ex.Message, "Request Error", MessageBoxButtons.OK, MessageBoxIcon.Error );				
      }
      Cursor = Cursors.Arrow;
    }

    //******************    *********************
    private void datGridDBTables_Resize(object sender, System.EventArgs e)
    {
      int ColTablesWidth = datGridDBTables.TableStyles[0].GridColumnStyles[0].Width;
      datGridDBTables.TableStyles[0].GridColumnStyles[1].Width =
        datGridDBTables.Width - ColTablesWidth - 57;
    }
  
    //***************     ******************
    private void datGridDBTables_MouseUp(object sender, System.Windows.Forms.MouseEventArgs e)
    {
      DataGrid.HitTestInfo HitInfo = datGridDBTables.HitTest(e.X, e.Y);
      if ((HitInfo.Row >= 0) && (HitInfo.Row < StructTab.Rows.Count))
      {
        tbRequest.Text = "SELECT * FROM " + (string) StructTab.Rows[HitInfo.Row]["Tables"];
        btnRequest_Click( this, null );
      }
    }
		
  }
}
